import { Strategies } from './types';
import { AxiosRequestConfigExtend } from '../types';
export default class Validator {
    private cache;
    constructor();
    /**
     * 新增分支策略，rules 可能为空
     */
    add(branch: string, rules?: Strategies[]): this;
    start(branch: string, data: any, config: AxiosRequestConfigExtend): void;
    get(): Record<string, any>;
}
